gi-atk-2.0.28: Atk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Atk.Interfaces.Image

Contents

- Exported types
- Methods
  - getImageDescription
  - getImageLocale
  - getImagePosition
  - getImageSize
  - setImageDescription

Description

The ATK Interface implemented by components which expose image or pixmap content on-screen.

`Image` should be implemented by `Object` subtypes on behalf of components which display image/pixmap information onscreen, and which provide information (other than just widget borders, etc.) via that image content. For instance, icons, buttons with icons, toolbar elements, and image viewing panes typically should implement `Image`.

`Image` primarily provides two types of information: coordinate information (useful for screen review mode of screenreaders, and for use by onscreen magnifiers), and descriptive information. The descriptive information is provided for alternative, text-only presentation of the most significant information present in the image.

Synopsis

- newtype Image = Image (ManagedPtr Image)
- class (ManagedPtrNewtype o, IsDescendantOf Image o) => IsImage o
- imageGetImageDescription :: (HasCallStack, MonadIO m, IsImage a) => a -> m Text
- imageGetImageLocale :: (HasCallStack, MonadIO m, IsImage a) => a -> m (Maybe Text)
- imageGetImagePosition :: (HasCallStack, MonadIO m, IsImage a) => a -> CoordType -> m (Int32, Int32)
- imageGetImageSize :: (HasCallStack, MonadIO m, IsImage a) => a -> m (Int32, Int32)
- imageSetImageDescription :: (HasCallStack, MonadIO m, IsImage a) => a -> Text -> m Bool

# Exported types

newtype Image Source #

Memory-managed wrapper type.

Constructors

Image (ManagedPtr Image) |

#### Instances

Instances details

Eq Image Source # |
Instance details Defined in GI.Atk.Interfaces.Image Methods (==) :: Image -> Image -> Bool Source # (/=) :: Image -> Image -> Bool Source #
BoxedPtr Image Source # |
Instance details Defined in GI.Atk.Interfaces.Image Methods boxedPtrCopy :: Image -> IO Image Source # boxedPtrFree :: Image -> IO () Source #
ManagedPtrNewtype Image Source # |
Instance details Defined in GI.Atk.Interfaces.Image Methods toManagedPtr :: Image -> ManagedPtr Image Source #

class (ManagedPtrNewtype o, IsDescendantOf Image o) => IsImage o Source #

Type class for types which implement `Image`.

#### Instances

Instances details

(ManagedPtrNewtype o, IsDescendantOf Image o) => IsImage o Source # |
Instance details Defined in GI.Atk.Interfaces.Image

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

None.

#### Getters

getImageDescription, getImageLocale, getImagePosition, getImageSize.

#### Setters

setImageDescription.

## getImageDescription

imageGetImageDescription Source #

Arguments

:: (HasCallStack, MonadIO m, IsImage a) |
=> a | `image`: a `Object` instance that implements AtkImageIface
-> m Text | Returns: a string representing the image description

Get a textual description of this image.

## getImageLocale

imageGetImageLocale Source #

Arguments

:: (HasCallStack, MonadIO m, IsImage a) |
=> a | `image`: An `Image`
-> m (Maybe Text) | Returns: a string corresponding to the POSIX `LC_MESSAGES` locale used by the image description, or `Nothing` if the image does not specify a locale.

Retrieves the locale identifier associated to the `Image`.

Since: 1.12

## getImagePosition

imageGetImagePosition Source #

Arguments

:: (HasCallStack, MonadIO m, IsImage a) |
=> a | `image`: a `Object` instance that implements AtkImageIface
-> CoordType | `coordType`: specifies whether the coordinates are relative to the screen or to the components top level window
-> m (Int32, Int32) |

Gets the position of the image in the form of a point specifying the images top-left corner.

If the position can not be obtained (e.g. missing support), x and y are set to -1.

## getImageSize

imageGetImageSize Source #

Arguments

:: (HasCallStack, MonadIO m, IsImage a) |
=> a | `image`: a `Object` instance that implements AtkImageIface
-> m (Int32, Int32) |

Get the width and height in pixels for the specified image. The values of `width` and `height` are returned as -1 if the values cannot be obtained (for instance, if the object is not onscreen).

If the size can not be obtained (e.g. missing support), x and y are set to -1.

## setImageDescription

imageSetImageDescription Source #

Arguments

:: (HasCallStack, MonadIO m, IsImage a) |
=> a | `image`: a `Object` instance that implements AtkImageIface
-> Text | `description`: a string description to set for `image`
-> m Bool | Returns: boolean TRUE, or FALSE if operation could not be completed.

Sets the textual description for this image.